Bug 612363 - No kernel modesetting driver detected
No kernel modesetting driver detected
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
13
i686 Linux
low Severity high
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-07 21:14 EDT by James Williams
Modified: 2018-04-11 02:56 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-26 15:34:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Williams 2010-07-07 21:14:28 EDT
Description of problem:
I have installed Fedora 13 on a 6-year-old Compaq Presario SR1010NX desktop (which ran Fedora 9 just fine) but cannot boot the machine into runlevel 5 (graphical mode). Manually creating an /etc/X11/xorg.conf with a vesa device works, but then the monitor is listed as "unknown" (by System-->Preferences-->Monitors), is blurry, and has no configurable options.

Here's my hardware:

- CPU: 2.7 MHz Celeron
- RAM: 512 MB
- BIOS: Phoenix AwardBIOS rev. 3.09 03/25/2004
- Motherboard: MSI MX-6577 M-ATX Rev. 3.1
- Display adapter: integrated Intel 82845G/GL/GE/PE/GV
- IDE controller: Intel 82801DB Ultra ATA Storage Controller-24CB
- Hard disk: ST340015A
- CD drive: Samsung CD-R/RW SW-252S
- Monitor: Dell 1503FP analog LCD
- Network adapter: Realtek RTL8139/810x
- Audio: integrated Realtek AC'97

Version-Release number of selected component (if applicable):
xorg-x11-drv-intel-2.11.0-5.fc13.i686

How reproducible:
If there is one, delete the xorg.conf, and do the following steps.

Steps to Reproduce:
1. Insert a live Fedora 13 USB stick.
2. Reboot the PC.
3. The Grub screen appears. Add "acpi=off" to the linux boot line. (Linux won't run on my machine without this line.)
4. Press Enter to begin the boot.
  
Actual results:
The boot gets as far as the following line:

Starting abrt daemon: [OK]

Then the letters on the screen flash a few times, and the boot hangs there with no error messages given.

Expected results:
The computer should boot into runlevel 5.

Additional info:
I've tried countless permutations of boot options such as xdriver=vesa, nomodeset, and noprobe. The machine boots fine into single-user mode and runlevel 3, but I can't get it into runlevel 5. I have also tried:
1. nomodeset in grub.conf (but the Fedora site says this has no effect with Fedora 13)
2. rebuilding the intel driver (with one from intellinuxgraphics.org)
3. countless modeline options in xorg.conf

I "solved" the problem by creating an /etc/X11/xorg.conf with the following lines:

Section "Device"
Identifier "Videocard0"
Driver "vesa"
EndSection

but this is a very unsatisfactory solution. Fedora 13 should boot just fine into graphical mode without an xorg.conf. The X server should detect my graphics controller, which it does, and load the intel driver properly. Here are the contents of my /var/log/Xorg.0.log before creating an xorg.conf. Note the three errors "(EE)" near the bottom.

===== contents of Xorg.0.log when there is no xorg.conf =====

[ 53.399]
X.Org X Server 1.8.0
Release Date: 2010-04-02
[ 53.399] X Protocol Version 11, Revision 0
[ 53.399] Build Operating System: x86-05 2.6.18-194.3.1.el5
[ 53.400] Current Operating System: Linux desktop1 2.6.33.5-124.fc13.i686 #1 SMP Fri Jun 11 09:48:40 UTC 2010 i686
[ 53.402] Kernel command line: ro root=/dev/mapper/vg_desktop1-lv_root rd_LVM_LV=vg_desktop1/lv_root rd_LVM_LV=vg_desktop1/lv_swap rd_NO_LUKS rd_NO_MD rd_NO_DM LANG=en_US.UTF-8 SYSFONT=latarcyrheb-sun16 KEYBOARDTYPE=pc KEYTABLE=us acpi=off rhgb quiet 3
[ 53.402] Build Date: 18 June 2010 05:33:58AM
[ 53.402] Build ID: xorg-x11-server 1.8.0-17.fc13
[ 53.403] Current version of pixman: 0.18.0
[ 53.403] Before reporting problems, check http://bodhi.fedoraproject.org/
to make sure that you have the latest version.
[ 53.403] Markers: (--) probed, (**) from config file, (==) default setting,
(++) from command line, (!!) notice, (II) informational,
(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
[ 53.405] (==) Log file: "/var/log/Xorg.0.log", Time: Mon Jul 5 21:56:17 2010
[ 53.426] (==) Using config directory: "/etc/X11/xorg.conf.d"
[ 53.426] (==) Using system config directory "/usr/share/X11/xorg.conf.d"
[ 53.427] (==) No Layout section. Using the first Screen section.
[ 53.428] (==) No screen section available. Using defaults.
[ 53.428] (**) |-->Screen "Default Screen Section" (0)
[ 53.428] (**) | |-->Monitor "<default monitor>"
[ 53.428] (==) No monitor specified for screen "Default Screen Section".
Using a default monitor configuration.
[ 53.428] (==) Automatically adding devices
[ 53.428] (==) Automatically enabling devices
[ 53.431] (==) FontPath set to:
catalogue:/etc/X11/fontpath.d,
built-ins
[ 53.431] (==) ModulePath set to "/usr/lib/xorg/modules"
[ 53.431] (II) The server relies on udev to provide the list of input devices.
If no devices become available, reconfigure udev or disable AutoAddDevices.
[ 53.431] (II)
***************************************************************
***************************************************************
** Fedora switched to udev-based device detection with **
** xorg-x11-server-1.7.99.901-1. Custom HAL configuration **
** stored in /etc/hal/fdi/policy will not be seen by this **
** server version. If you have such configuration you will **
** need to update it to the new format. **
** For more information, see the Fedora wiki page **
** https://fedoraproject.org/wiki/Input..._configuration **
***************************************************************
***************************************************************
[ 53.431] (II) Loader magic: 0x82215a0
[ 53.431] (II) Module ABI versions:
[ 53.431] X.Org ANSI C Emulation: 0.4
[ 53.431] X.Org Video Driver: 7.0
[ 53.431] X.Org XInput driver : 9.0
[ 53.431] X.Org Server Extension : 3.0
[ 53.453] (--) PCI:*(0:0:2:0) 8086:2562:1462:5778 Intel Corporation 82845G/GL[Brookdale-G]/GE Chipset Integrated Graphics Device rev 3, Mem @ 0xe0000000/134217728, 0xee000000/524288, BIOS @ 0x????????/131072
[ 53.454] (II) Open APM successful
[ 53.454] (II) LoadModule: "extmod"
[ 53.484] (II) Loading /usr/lib/xorg/modules/extensions/libextmod.so
[ 53.485] (II) Module extmod: vendor="X.Org Foundation"
[ 53.486] compiled for 1.8.0, module version = 1.0.0
[ 53.486] Module class: X.Org Server Extension
[ 53.486] ABI class: X.Org Server Extension, version 3.0
[ 53.486] (II) Loading extension SELinux
[ 53.486] (II) Loading extension MIT-SCREEN-SAVER
[ 53.486] (II) Loading extension XFree86-VidModeExtension
[ 53.486] (II) Loading extension XFree86-DGA
[ 53.486] (II) Loading extension DPMS
[ 53.486] (II) Loading extension XVideo
[ 53.486] (II) Loading extension XVideo-MotionCompensation
[ 53.486] (II) Loading extension X-Resource
[ 53.486] (II) LoadModule: "dbe"
[ 53.487] (II) Loading /usr/lib/xorg/modules/extensions/libdbe.so
[ 53.488] (II) Module dbe: vendor="X.Org Foundation"
[ 53.488] compiled for 1.8.0, module version = 1.0.0
[ 53.488] Module class: X.Org Server Extension
[ 53.488] ABI class: X.Org Server Extension, version 3.0
[ 53.488] (II) Loading extension DOUBLE-BUFFER
[ 53.488] (II) LoadModule: "glx"
[ 53.489] (II) Loading /usr/lib/xorg/modules/extensions/libglx.so
[ 53.490] (II) Module glx: vendor="X.Org Foundation"
[ 53.490] compiled for 1.8.0, module version = 1.0.0
[ 53.490] ABI class: X.Org Server Extension, version 3.0
[ 53.490] (==) AIGLX enabled
[ 53.490] (II) Loading extension GLX
[ 53.491] (II) LoadModule: "record"
[ 53.492] (II) Loading /usr/lib/xorg/modules/extensions/librecord.so
[ 53.492] (II) Module record: vendor="X.Org Foundation"
[ 53.492] compiled for 1.8.0, module version = 1.13.0
[ 53.492] Module class: X.Org Server Extension
[ 53.492] ABI class: X.Org Server Extension, version 3.0
[ 53.492] (II) Loading extension RECORD
[ 53.492] (II) LoadModule: "dri"
[ 53.493] (II) Loading /usr/lib/xorg/modules/extensions/libdri.so
[ 53.494] (II) Module dri: vendor="X.Org Foundation"
[ 53.495] compiled for 1.8.0, module version = 1.0.0
[ 53.495] ABI class: X.Org Server Extension, version 3.0
[ 53.495] (II) Loading extension XFree86-DRI
[ 53.495] (II) LoadModule: "dri2"
[ 53.496] (II) Loading /usr/lib/xorg/modules/extensions/libdri2.so
[ 53.496] (II) Module dri2: vendor="X.Org Foundation"
[ 53.497] compiled for 1.8.0, module version = 1.2.0
[ 53.497] ABI class: X.Org Server Extension, version 3.0
[ 53.497] (II) Loading extension DRI2
[ 53.497] (==) Matched intel as autoconfigured driver 0
[ 53.497] (==) Matched vesa as autoconfigured driver 1
[ 53.497] (==) Matched fbdev as autoconfigured driver 2
[ 53.497] (==) Assigned the driver to the xf86ConfigLayout
[ 53.497] (II) LoadModule: "intel"
[ 53.498] (II) Loading /usr/lib/xorg/modules/drivers/intel_drv.so
[ 53.499] (II) Module intel: vendor="X.Org Foundation"
[ 53.499] compiled for 1.8.0, module version = 2.11.0
[ 53.499] Module class: X.Org Video Driver
[ 53.499] ABI class: X.Org Video Driver, version 7.0
[ 53.499] (II) LoadModule: "vesa"
[ 53.500] (II) Loading /usr/lib/xorg/modules/drivers/vesa_drv.so
[ 53.501] (II) Module vesa: vendor="X.Org Foundation"
[ 53.501] compiled for 1.8.0, module version = 2.3.0
[ 53.501] Module class: X.Org Video Driver
[ 53.501] ABI class: X.Org Video Driver, version 7.0
[ 53.501] (II) LoadModule: "fbdev"
[ 53.502] (II) Loading /usr/lib/xorg/modules/drivers/fbdev_drv.so
[ 53.502] (II) Module fbdev: vendor="X.Org Foundation"
[ 53.502] compiled for 1.7.99.3, module version = 0.4.1
[ 53.502] ABI class: X.Org Video Driver, version 7.0
[ 53.503] (II) intel: Driver for Intel Integrated Graphics Chipsets: i810,
i810-dc100, i810e, i815, i830M, 845G, 852GM/855GM, 865G, 915G,
E7221 (i915), 915GM, 945G, 945GM, 945GME, Pineview GM, Pineview G,
965G, G35, 965Q, 946GZ, 965GM, 965GME/GLE, G33, Q35, Q33, GM45,
4 Series, G45/G43, Q45/Q43, G41, B43, Clarkdale, Arrandale
[ 53.504] (II) VESA: driver for VESA chipsets: vesa
[ 53.504] (II) FBDEV: driver for framebuffer: fbdev
[ 53.504] (--) using VT number 7

[ 53.581] (II) Primary Device is: PCI 00@00:02:0
[ 53.581] (WW) Falling back to old probe method for vesa
[ 53.581] (WW) Falling back to old probe method for fbdev
[ 53.581] (II) Loading sub module "fbdevhw"
[ 53.581] (II) LoadModule: "fbdevhw"
[ 53.581] (II) Loading /usr/lib/xorg/modules/linux/libfbdevhw.so
[ 53.597] (II) Module fbdevhw: vendor="X.Org Foundation"
[ 53.597] compiled for 1.8.0, module version = 0.0.2
[ 53.597] ABI class: X.Org Video Driver, version 7.0
[ 53.597] (EE) open /dev/fb0: No such file or directory
[ 53.759] (EE) intel(0): No kernel modesetting driver detected.
[ 53.759] (II) UnloadModule: "intel"
[ 53.759] (EE) Screen(s) found, but none have a usable configuration.
[ 53.759]
Fatal server error:
[ 53.759] no screens found
[ 53.760]
Please consult the Fedora Project support
at http://bodhi.fedoraproject.org/
for help.
[ 53.760] Please also check the log file at "/var/log/Xorg.0.log" for additional information.
[ 53.760]

===== end contents of Xorg.0.log =====
Comment 1 Adam Jackson 2010-08-26 15:34:56 EDT
Should be working in 1.8.2 afaik, please reopen if not.
Comment 2 James Williams 2010-08-26 20:05:56 EDT
Version 1.8.2 of what?
Comment 3 Matěj Cepl 2011-03-17 07:16:27 EDT
(In reply to comment #2)
> Version 1.8.2 of what?

xorg-x11-server-Xorg package

Note You need to log in before you can comment on or make changes to this bug.